{% extends 'base.html.twig' %}

{% block body %}
    {% block title %}
        Informations sur l'artiste
    {% endblock %}
    <br>
    <a class="btn btn-primary btn-sm" href="{{ path('artiste_index') }}" title="Retour à la liste des Artistes">
        <i class="fa fa-edit" aria-hidden="true"></i>&nbsp;Retour </a>

    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Nom</th>
        <th>Prénom</th>
        <th>Année de Naissance</th>
        </thead>
        <tbody>
        <tr>
            <td>{{ artiste.nom }}</td>
            <td>{{ artiste.prenom }}</td>
            <td>{{ artiste.anneeNaissance }}</td>
        </tr>

        </tbody>
    </table>

    <h3>Liste des films</h3>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Titre</th>
        <th>Année</th>
        <th>Rôle</th>
        </thead>
        <tbody>
        {% for role in roles %}
            <tr>
                <td>{{ role.idfilm.titre }}</td>
                <td>{{ role.idfilm.annee }}</td>
                <td>{{ role.role }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">Cet acteur ne participe à aucun film</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-primary btn-sm" href="{{ path('artiste_edit', { 'id': artiste.id
    }) }}" title="Modifier le film">
        <i class="fa fa-edit" aria-hidden="true"></i>&nbsp;Modifier
    </a>
{% endblock %}


